import { IEvent } from "../Event";
import { IAppStateService } from "./IAppStateService";
export declare class AppStateService implements IAppStateService {
    private _returnedFromSuspension;
    private _canHibernate;
    IsWorkingInWebView(): boolean;
    _constructor(): void;
    private IsHidden;
    IsActive(): boolean;
    IsInBackground(): boolean;
    ReturnedFromSuspension(): boolean;
    IsHibernationAllowed(): boolean;
    DisallowHibernation(): void;
    AllowHibernation(): void;
    OnReturnedFromSuspension(): IEvent;
    OnSuspended(): IEvent;
    OnEnterLowPowerMode(): IEvent;
    OnExitLowPowerMode(): IEvent;
    OnBackButtonPressed(): IEvent;
    GetServiceName(): string;
}
