export class AppStateService {
    constructor() {
        this._returnedFromSuspension = false;
        this._canHibernate = true;
    }
    IsWorkingInWebView() {
        if (navigator.userAgent.match(/Safari/i) != null) {
            if (navigator.mediaDevices)
                return false;
            else
                return true;
        }
        return false;
    }
    _constructor() {
        if (window.navigator.userAgent.contains("iOSNativWebView")) {
            window.addEventListener("onblur", () => {
            });
            window.addEventListener("onfocus", () => {
            });
        }
        else {
            window.addEventListener("visibilitychange", () => {
            });
        }
    }
    IsHidden() {
        return document.hidden;
    }
    IsActive() {
        return !this.IsHidden();
    }
    IsInBackground() {
        return this.IsHidden();
    }
    ReturnedFromSuspension() {
        return this._returnedFromSuspension;
    }
    IsHibernationAllowed() {
        return this._canHibernate;
    }
    DisallowHibernation() {
        throw new Error("Method not implemented.");
    }
    AllowHibernation() {
        throw new Error("Method not implemented.");
    }
    OnReturnedFromSuspension() {
        throw new Error("Method not implemented.");
    }
    OnSuspended() {
        throw new Error("Method not implemented.");
    }
    OnEnterLowPowerMode() {
        throw new Error("Method not implemented.");
    }
    OnExitLowPowerMode() {
        throw new Error("Method not implemented.");
    }
    OnBackButtonPressed() {
        throw new Error("Method not implemented.");
    }
    GetServiceName() {
        throw new Error("Method not implemented.");
    }
}
//# sourceMappingURL=AppStateService.js.map